{% extends "base.html" %}

{% block title %}Nodes Overview{% endblock title %}

{% block content %}
<div class="row">
  <table class="table">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Name</th>
        <th scope="col">UID</th>
        <th scope="col">Hardware</th>
        <th scope="col">Software</th>
        <th scope="col">Git</th>
        <th scope="col">CRC</th>
        <th scope="col">Uptime</th>
        <th scope="col">Health</th>
        <th scope="col">Mode</th>
        <th scope="col">VSSC</th>
      </tr>
    </thead>
    <tbody>
      {% for id, node in nodes.items() %}
      <tr>
        <th scope="row"><a href="node/{{id}}">{{id}}</a></th>
        <td>{{ node.info.name }}</td>
        <td>{{ node.info.unique_id[-8:] }}</td>
        <td>{{ node | format_hardware_version }}</td>
        <td>{{ node.info.software_version.major }}.{{ node.info.software_version.minor }}</td>
        <td>{{ node.info.software_vcs_revision_id[:8] }}</td>
        <td>{{ node.info.software_image_crc }}</td>
        <td>{{ node.heartbeat.uptime | format_uptime }}</td>
        <td>{{ ["Nominal", "Advisory", "Caution", "Warning"][node.heartbeat.health.value] }}</td>
        <td>{{ ["Operational", "Initialization", "Maintenance", "Software Update"][node.heartbeat.mode.value] }}</td>
        <td><code>0x{{ "%02x" % node.heartbeat.vendor_specific_status_code }}</code>
          ({{ node.heartbeat.vendor_specific_status_code }})</td>
      </tr>
      {% endfor %}
    </tbody>
  </table>
</div>
{% endblock content %}
